



C


C


C


C


C


C


C


C


C


C


C


C


C


C


C


C


C


C


C


C


C
C
      SUBROUTINE GVSTTI (INTEXT,ININT)












      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       ININT
      CHARACTER*(*) INTEXT
      CHARACTER*132 TEXT







      IF (WIFPAR(405).NE.0) GOTO 998



      CALL GVSSTX (TEXT,INTEXT)



      CALL GVSFMTL (FMT,'?FMT016')
      WRITE (TEXT(123:132),FMT,ERR=999) ININT
      CALL GVSRDB (TEXT)
      CALL GVSTT6 (TEXT)
      GOTO 998



  999 CONTINUE
      CALL GVSTTE ('?M1798')
      CALL GVSTT6 (TEXT)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTTI2 (TEXT,ININT1,ININT2)













      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       ININT1, ININT2
      CHARACTER*(*) TEXT
      CHARACTER*80  LOCLIN







      IF (WIFPAR(405).NE.0) GOTO 998



      CALL GVSFMT ('?FMT944')
      CALL GVSSTX (LOCLIN,TEXT)
      WRITE (LOCLIN(61:80),FMT,ERR=999) ININT1,ININT2
      CALL GVSRDB (LOCLIN)
      CALL GVSTT6 (LOCLIN)
      GOTO 998



  999 CONTINUE
      CALL GVSTTE ('?TLSD46')
      CALL GVSTT6 (TEXT)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTTI3 (TEXT,ININT1,ININT2,ININT3)













      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       ININT1, ININT2, ININT3
      CHARACTER*(*) TEXT
      CHARACTER*80  LOCLIN







      IF (WIFPAR(405).NE.0) GOTO 998



      CALL GVSFMT ('?FMT944')
      CALL GVSSTX (LOCLIN,TEXT)
      WRITE (LOCLIN(51:80),FMT,ERR=999) ININT1,ININT2,ININT3
      CALL GVSRDB (LOCLIN)
      CALL GVSTT6 (LOCLIN)
      GOTO 998



  999 CONTINUE
      CALL GVSTTE ('?TLSD46')
      CALL GVSTT6 (TEXT)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTTI4 (TEXT,ININT1,ININT2,ININT3,ININT4)













      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       ININT1, ININT2, ININT3, ININT4
      CHARACTER*(*) TEXT
      CHARACTER*80  LOCLIN







      IF (WIFPAR(405).NE.0) GOTO 998



      CALL GVSFMT ('?FMT944')
      CALL GVSSTX (LOCLIN,TEXT)
      WRITE (LOCLIN(41:80),FMT,ERR=999) ININT1,ININT2,ININT3,ININT4
      CALL GVSRDB (LOCLIN)
      CALL GVSTT6 (LOCLIN)
      GOTO 998



  999 CONTINUE
      CALL GVSTTE ('?TLSD46')
      CALL GVSTT6 (TEXT)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTTI5 (TEXT,ININT1,ININT2,ININT3,ININT4,ININT5)













      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       ININT1, ININT2, ININT3, ININT4, ININT5
      CHARACTER*(*) TEXT
      CHARACTER*130 LOCLIN







      IF (WIFPAR(405).NE.0) GOTO 998



      CALL GVSFMT ('?FMT944')
      CALL GVSSTX (LOCLIN,TEXT)
      WRITE (LOCLIN(81:130),FMT,ERR=999) ININT1,ININT2,ININT3,
     + ININT4,ININT5
      CALL GVSRDB (LOCLIN)
      CALL GVSTT6 (LOCLIN)
      GOTO 998



  999 CONTINUE
      CALL GVSTTE ('?TLSD46')
      CALL GVSTT6 (TEXT(1:80))



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTTI6 (TEXT,INT1,INT2,INT3,INT4,INT5,INT6)













      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       INT1, INT2, INT3, INT4, INT5, INT6
      CHARACTER*(*) TEXT
      CHARACTER*140 LOCLIN







      IF (WIFPAR(405).NE.0) GOTO 998



      CALL GVSFMT ('?FMT944')
      CALL GVSSTX (LOCLIN,TEXT)
      WRITE (LOCLIN(81:140),FMT,ERR=999) INT1,INT2,INT3,INT4,INT5,INT6
      CALL GVSRDB (LOCLIN)
      CALL GVSTT6 (LOCLIN)
      GOTO 998



  999 CONTINUE
      CALL GVSTTE ('?TLSD46')
      CALL GVSTT6 (TEXT(1:80))



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTTR (INTEXT,INREAL)












      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      REAL          INREAL
      CHARACTER*(*) INTEXT
      CHARACTER*132 TEXT







      IF (WIFPAR(405).NE.0) GOTO 998



      CALL GVSCTB (TEXT,132)
      CALL GVSSTX (TEXT,INTEXT)



      IF (ABS(INREAL).GE.1.E8) THEN
         WRITE (TEXT(71:80),'(E10.4)',ERR=999) INREAL
      ELSE IF (ABS(INREAL).GE.1.E6) THEN
         WRITE (TEXT(71:80),'(F10.1)',ERR=999) INREAL
      ELSE
         WRITE (TEXT(71:80),'(F10.3)',ERR=999) INREAL
      END IF
      CALL GVSRDB (TEXT)
      CALL GVSTT6 (TEXT)
      GOTO 998



  999 CONTINUE
      CALL GVSTTE ('?TLSD47')
      CALL GVSTT6 (TEXT)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTTR2 (INTEXT,INREAL1,INREAL2)













      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      REAL          INREAL1, INREAL2
      CHARACTER*(*) INTEXT
      CHARACTER*132 TEXT







      IF (WIFPAR(405).NE.0) GOTO 998



      CALL GVSSTX (TEXT,INTEXT)



      IF (MAX(ABS(INREAL1),ABS(INREAL2)).GE.1.E8) THEN
         WRITE (TEXT(100:132),'(E15.4,1X,E15.4)',ERR=999)INREAL1,INREAL2
      ELSE IF (MAX(ABS(INREAL1),ABS(INREAL2)).GE.1.E6) THEN
         WRITE (TEXT(100:132),'(F15.1,1X,F15.1)',ERR=999)INREAL1,INREAL2
      ELSE
         WRITE (TEXT(100:132),'(F15.3,1X,F15.3)',ERR=999)INREAL1,INREAL2
      END IF
      CALL GVSRDB (TEXT)
      CALL GVSTT6 (TEXT)
      GOTO 998



  999 CONTINUE
      CALL GVSTTE ('?TLSD47')
      CALL GVSTT6 (TEXT)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTTR3 (INTEXT,INREAL1,INREAL2,INREAL3)













      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      REAL          INREAL1, INREAL2, INREAL3
      CHARACTER*(*) INTEXT
      CHARACTER*132 TEXT







      IF (WIFPAR(405).NE.0) GOTO 998



      CALL GVSSTX (TEXT,INTEXT)



      IF (MAX(ABS(INREAL1),ABS(INREAL2),ABS(INREAL3)).GE.1.E8) THEN
         WRITE (TEXT(80:132),'(E15.4,1X,E15.4,1X,E15.4)',ERR=999) 
     +    INREAL1,INREAL2,INREAL3
      ELSE IF (MAX(ABS(INREAL1),ABS(INREAL2),ABS(INREAL3)).GE.1.E6)
     +    THEN
         WRITE (TEXT(80:132),'(F15.1,1X,F15.1,1X,F15.1)',ERR=999) 
     +    INREAL1,INREAL2,INREAL3
      ELSE
         WRITE (TEXT(80:132),'(F15.3,1X,F15.3,1X,F15.3)',ERR=999) 
     +    INREAL1,INREAL2,INREAL3
      END IF
      CALL GVSRDB (TEXT)
      CALL GVSTT6 (TEXT)
      GOTO 998



  999 CONTINUE
      CALL GVSTTE ('?TLSD47')
      CALL GVSTT6 (TEXT)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTTR4 (INTEXT,INREAL1,INREAL2,INREAL3,INREAL4)













      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      REAL          INREAL1, INREAL2, INREAL3, INREAL4
      CHARACTER*(*) INTEXT
      CHARACTER*132 TEXT







      IF (WIFPAR(405).NE.0) GOTO 998



      CALL GVSSTX (TEXT,INTEXT)



      IF (MAX(ABS(INREAL1),ABS(INREAL2),ABS(INREAL3),
     +   ABS(INREAL4)).GE.1.E8) THEN
        WRITE(TEXT(60:132),'(E15.4,1X,E15.4,1X,E15.4,1X,E15.4)',ERR=999) 
     +   INREAL1,INREAL2,INREAL3,INREAL4
      ELSE IF (MAX(ABS(INREAL1),ABS(INREAL2),
     +   ABS(INREAL3),ABS(INREAL4)).GE.1.E6) THEN
        WRITE(TEXT(60:132),'(F15.1,1X,F15.1,1X,F15.1,1X,F15.1)',ERR=999) 
     +   INREAL1,INREAL2,INREAL3,INREAL4
      ELSE
        WRITE(TEXT(60:132),'(F15.3,1X,F15.3,1X,F15.3,1X,F15.3)',ERR=999) 
     +   INREAL1,INREAL2,INREAL3,INREAL4
      END IF
      CALL GVSRDB (TEXT)
      CALL GVSTT6 (TEXT)
      GOTO 998



  999 CONTINUE
      CALL GVSTTE ('?TLSD47')
      CALL GVSTT6 (TEXT)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTTR5 (INTEXT,R1,R2,R3,R4,R5)













      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      REAL          R1, R2, R3, R4, R5
      CHARACTER*(*) INTEXT
      CHARACTER*132 TEXT







      IF (WIFPAR(405).NE.0) GOTO 998



      CALL GVSSTX (TEXT,INTEXT)



      IF (MAX(ABS(R1),ABS(R2),ABS(R3),ABS(R4),ABS(R5)).GE.1.E8) THEN
         CALL GVSFMT ('?FMT810')
         WRITE (TEXT(51:132),FMT,ERR=999) R1,R2,R3,R4,R5
      ELSE IF (MAX(ABS(R1),ABS(R2),ABS(R3),ABS(R4),ABS(R5)).GE.1.E6)THEN
         CALL GVSFMT ('?FMT809')
         WRITE (TEXT(51:132),FMT,ERR=999) R1,R2,R3,R4,R5
      ELSE
         CALL GVSFMT ('?FMT808')
         WRITE (TEXT(51:132),FMT,ERR=999) R1,R2,R3,R4,R5
      END IF
      CALL GVSRDB (TEXT)
      CALL GVSTT6 (TEXT)
      GOTO 998



  999 CONTINUE
      CALL GVSTTE ('?TLSD47')
      CALL GVSTT6 (TEXT)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTUI (IUNIT,INTEXT,ININT)












      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       ININT, IUNIT, LENIN, GVFLEN
      LOGICAL       GVFFOP
      CHARACTER*10  FMTL
      CHARACTER*(*) INTEXT
      CHARACTER*132 TEXT







      IF (WIFPAR(405).NE.0) GOTO 998
      IF (.NOT.GVFFOP(IUNIT)) THEN
         CALL GVSTTI ('?M1797',IUNIT)
         CALL GVSTTI (INTEXT,ININT)
         GOTO 998
      END IF



      CALL GVSCTB (TEXT,132)
      CALL GVSSTX (TEXT,INTEXT)
      LENIN=GVFLEN(TEXT)



      CALL GVSFMTL (FMTL,'?FMT016')
      WRITE (TEXT(123:132),FMTL,ERR=999) ININT
      CALL GVSRDB (TEXT(LENIN+1:132))
      CALL GVSTTU (IUNIT,TEXT)
      GOTO 998



  999 CONTINUE
      CALL GVSTTE ('?M1798')
      CALL GVSTT6 (TEXT)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTTIU (IUNIT,INTEXT,ININT)












      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       ININT, IUNIT
      CHARACTER*(*) INTEXT
      CHARACTER*132 TEXT







      IF (WIFPAR(405).NE.0) GOTO 998



      CALL GVSSTX (TEXT,INTEXT)



      CALL GVSFMT ('?FMT016')
      WRITE (TEXT(123:132),FMT,ERR=999) ININT
      CALL GVSRDB (TEXT)
      CALL GVSTTU (IUNIT,TEXT)
      GOTO 998



  999 CONTINUE
      CALL GVSTTU (IUNIT,'?M4181')
      CALL GVSTTU (IUNIT,TEXT)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTTIU2 (IUNIT,INTEXT,ININT1,ININT2)












      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       ININT1, ININT2, IUNIT
      CHARACTER*(*) INTEXT
      CHARACTER*132 TEXT







      IF (WIFPAR(405).NE.0) GOTO 998



      CALL GVSSTX (TEXT,INTEXT)



      CALL GVSFMT ('?FMT944')
      WRITE (TEXT(113:132),FMT,ERR=999) ININT1,ININT2
      CALL GVSRDB (TEXT)
      CALL GVSTTU (IUNIT,TEXT)
      GOTO 998



  999 CONTINUE
      CALL GVSTTU (IUNIT,'?M4181')
      CALL GVSTTU (IUNIT,TEXT)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTTIU3 (IUNIT,INTEXT,ININT1,ININT2,ININT3)












      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       ININT1, ININT2, ININT3, IUNIT
      CHARACTER*(*) INTEXT
      CHARACTER*132 TEXT







      IF (WIFPAR(405).NE.0) GOTO 998



      CALL GVSSTX (TEXT,INTEXT)



      CALL GVSFMT ('?FMT944')
      WRITE (TEXT(103:132),FMT,ERR=999) ININT1,ININT2,ININT3
      CALL GVSRDB (TEXT)
      CALL GVSTTU (IUNIT,TEXT)
      GOTO 998



  999 CONTINUE
      CALL GVSTTU (IUNIT,'?M4181')
      CALL GVSTTU (IUNIT,TEXT)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTUR (IUNIT,INTEXT,INREAL)












      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IUNIT, LENIN, GVFLEN
      REAL          INREAL
      CHARACTER*(*) INTEXT
      CHARACTER*132 TEXT







      IF (WIFPAR(405).NE.0) GOTO 998



      CALL GVSSTX (TEXT,INTEXT)
      LENIN=GVFLEN(TEXT)



      IF (ABS(INREAL).GE.1.E8) THEN
         WRITE (TEXT(71:80),'(E10.4)',ERR=999) INREAL
      ELSE IF (ABS(INREAL).GE.1.E6) THEN
         WRITE (TEXT(71:80),'(F10.1)',ERR=999) INREAL
      ELSE
         WRITE (TEXT(71:80),'(F10.3)',ERR=999) INREAL
      END IF
      CALL GVSRDB (TEXT(LENIN+1:132))
      CALL GVSTTU (IUNIT,TEXT)
      GOTO 998



  999 CONTINUE
      CALL GVSTTE ('?TLSD47')
      CALL GVSTT6 (TEXT)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTUR2 (IUNIT,INTEXT,INREAL1,INREAL2)












      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IUNIT, LENIN, GVFLEN
      REAL          INREAL1, INREAL2, INREAL
      CHARACTER*(*) INTEXT
      CHARACTER*132 TEXT







      IF (WIFPAR(405).NE.0) GOTO 998



      INREAL=MAX(INREAL1,INREAL2)



      CALL GVSSTX (TEXT,INTEXT)
      LENIN=GVFLEN(TEXT)



      IF (ABS(INREAL).GE.1.E8) THEN
         WRITE (TEXT(61:80),'(2E10.4)',ERR=999) INREAL1,INREAL2
      ELSE IF (ABS(INREAL).GE.1.E6) THEN
         WRITE (TEXT(61:80),'(2F10.1)',ERR=999) INREAL1,INREAL2
      ELSE
         WRITE (TEXT(61:80),'(2F10.3)',ERR=999) INREAL1,INREAL2
      END IF
      CALL GVSRDB (TEXT(LENIN+1:132))
      CALL GVSTTU (IUNIT,TEXT)
      GOTO 998



  999 CONTINUE
      CALL GVSTTE ('?TLSD47')
      CALL GVSTT6 (TEXT)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTTRU (IUNIT,INTEXT,INREAL)












      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IUNIT
      REAL          INREAL
      CHARACTER*(*) INTEXT
      CHARACTER*132 TEXT







      IF (WIFPAR(405).NE.0) GOTO 998



      CALL GVSSTX (TEXT,INTEXT)



      IF (ABS(INREAL).GE.1.E8) THEN
         WRITE (TEXT(71:80),'(E10.4)',ERR=999) INREAL
      ELSE IF (ABS(INREAL).GE.1.E6) THEN
         WRITE (TEXT(71:80),'(F10.1)',ERR=999) INREAL
      ELSE
         WRITE (TEXT(71:80),'(F10.3)',ERR=999) INREAL
      END IF
      CALL GVSRDB (TEXT(LEN(INTEXT):132))
      IF (IUNIT.EQ.6) THEN
         CALL GVSTT6 (TEXT)
      ELSE
         CALL GVSTTU (IUNIT,TEXT)
      END IF
      GOTO 998



  999 CONTINUE
      CALL GVSTTE ('?TLSD47')
      CALL GVSTT6 (TEXT)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTTR2U (IUNIT,INTEXT,INREAL1,INREAL2)













      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IUNIT
      REAL          INREAL1, INREAL2
      CHARACTER*(*) INTEXT
      CHARACTER*132 TEXT







      IF (WIFPAR(405).NE.0) GOTO 998



      CALL GVSSTX (TEXT,INTEXT)



      IF (MAX(ABS(INREAL1),ABS(INREAL2)).GE.1.E8) THEN
         WRITE (TEXT(100:132),'(E15.4,1X,E15.4)',ERR=999)INREAL1,INREAL2
      ELSE IF (MAX(ABS(INREAL1),ABS(INREAL2)).GE.1.E6) THEN
         WRITE (TEXT(100:132),'(F15.1,1X,F15.1)',ERR=999)INREAL1,INREAL2
      ELSE
         WRITE (TEXT(100:132),'(F15.3,1X,F15.3)',ERR=999)INREAL1,INREAL2
      END IF
      CALL GVSRDB (TEXT)
      CALL GVSTTU (IUNIT,TEXT)
      GOTO 998



  999 CONTINUE
      CALL GVSTTE ('?TLSD47')
      CALL GVSTT6 (TEXT)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTTR3U (IUNIT,INTEXT,INREAL1,INREAL2,INREAL3)













      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IUNIT
      REAL          INREAL1, INREAL2, INREAL3
      CHARACTER*(*) INTEXT
      CHARACTER*132 TEXT







      IF (WIFPAR(405).NE.0) GOTO 998



      CALL GVSSTX (TEXT,INTEXT)



      IF (MAX(ABS(INREAL1),ABS(INREAL2),ABS(INREAL2)).GE.1.E8) THEN
         WRITE (TEXT(80:132),'(E15.4,1X,E15.4,1X,E15.4)',ERR=999) 
     +    INREAL1,INREAL2,INREAL3
      ELSE IF (MAX(ABS(INREAL1),ABS(INREAL2)).GE.1.E6) THEN
         WRITE (TEXT(80:132),'(F15.1,1X,F15.1,1X,F15.1)',ERR=999) 
     +    INREAL1,INREAL2,INREAL3
      ELSE
         WRITE (TEXT(80:132),'(F15.3,1X,F15.3,1X,F15.3)',ERR=999) 
     +    INREAL1,INREAL2,INREAL3
      END IF
      CALL GVSRDB (TEXT)
      CALL GVSTTU (IUNIT,TEXT)
      GOTO 998



  999 CONTINUE
      CALL GVSTTE ('?TLSD47')
      CALL GVSTT6 (TEXT)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTTR4U (IUNIT,INTEXT,INREAL1,INREAL2,INREAL3,
     + INREAL4)













      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IUNIT
      REAL          INREAL1, INREAL2, INREAL3, INREAL4
      CHARACTER*(*) INTEXT
      CHARACTER*132 TEXT







      IF (WIFPAR(405).NE.0) GOTO 998



      CALL GVSSTX (TEXT,INTEXT)



      IF (MAX(ABS(INREAL1),ABS(INREAL2),ABS(INREAL2)).GE.1.E8) THEN
        WRITE(TEXT(65:132),'(E15.4,1X,E15.4,1X,E15.4,1X,E15.4)',ERR=999) 
     +   INREAL1,INREAL2,INREAL3,INREAL4
      ELSE IF (MAX(ABS(INREAL1),ABS(INREAL2)).GE.1.E6) THEN
        WRITE(TEXT(65:132),'(F15.1,1X,F15.1,1X,F15.1,1X,F15.1)',ERR=999) 
     +   INREAL1,INREAL2,INREAL3,INREAL4
      ELSE
        WRITE(TEXT(65:132),'(F15.3,1X,F15.3,1X,F15.3,1X,F15.3)',ERR=999) 
     +   INREAL1,INREAL2,INREAL3,INREAL4
      END IF
      CALL GVSRDB (TEXT)
      CALL GVSTTU (IUNIT,TEXT)
      GOTO 998



  999 CONTINUE
      CALL GVSTTE ('?TLSD47')
      CALL GVSTT6 (TEXT)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTTR5U (IUNIT,INTEXT,INREAL1,INREAL2,INREAL3,
     + INREAL4,INREAL5)













      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IUNIT
      REAL          INREAL1, INREAL2, INREAL3, INREAL4, INREAL5
      CHARACTER*(*) INTEXT
      CHARACTER*132 TEXT







      IF (WIFPAR(405).NE.0) GOTO 998



      CALL GVSSTX (TEXT,INTEXT)



      IF (MAX(ABS(INREAL1),ABS(INREAL2),ABS(INREAL2)).GE.1.E8) THEN
       WRITE(TEXT(55:132),'(E15.4,1X,E15.4,1X,E15.4,1X,E15.4,1X,E15.4)',
     +  ERR=999) INREAL1,INREAL2,INREAL3,INREAL4,INREAL5
      ELSE IF (MAX(ABS(INREAL1),ABS(INREAL2)).GE.1.E6) THEN
       WRITE(TEXT(55:132),'(F15.1,1X,F15.1,1X,F15.1,1X,F15.1,1X,F15.1)',
     +  ERR=999) INREAL1,INREAL2,INREAL3,INREAL4,INREAL5
      ELSE
       WRITE(TEXT(55:132),'(F15.3,1X,F15.3,1X,F15.3,1X,F15.3,1X,F15.3)',
     +  ERR=999) INREAL1,INREAL2,INREAL3,INREAL4,INREAL5
      END IF
      CALL GVSRDB (TEXT)
      CALL GVSTTU (IUNIT,TEXT)
      GOTO 998



  999 CONTINUE
      CALL GVSTTE ('?TLSD47')
      CALL GVSTT6 (TEXT)



  998 CONTINUE


      RETURN
      END
      SUBROUTINE GVSTTR6U (IUNIT,INTEXT,INREAL1,INREAL2,INREAL3,
     + INREAL4,INREAL5,INREAL6)













      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IUNIT
      REAL          INREAL1, INREAL2, INREAL3, INREAL4, INREAL5, INREAL6
      CHARACTER*(*) INTEXT
      CHARACTER*150 TEXT







      IF (WIFPAR(405).NE.0) GOTO 998



      CALL GVSSTX (TEXT,INTEXT)



      IF (MAX(ABS(INREAL1),ABS(INREAL2),ABS(INREAL2)).GE.1.E8) THEN
         CALL GVSFMT ('?FMT1454')
         WRITE (TEXT(55:150),FMT,ERR=999) INREAL1,INREAL2,INREAL3,
     +    INREAL4,INREAL5,INREAL6
      ELSE IF (MAX(ABS(INREAL1),ABS(INREAL2)).GE.1.E6) THEN
         CALL GVSFMT ('?FMT1454')
         WRITE (TEXT(55:150),FMT,ERR=999) INREAL1,INREAL2,INREAL3,
     +    INREAL4,INREAL5,INREAL6
      ELSE
         CALL GVSFMT ('?FMT1454')
         WRITE (TEXT(55:150),FMT,ERR=999) INREAL1,INREAL2,INREAL3,
     +    INREAL4,INREAL5,INREAL6
      END IF
      CALL GVSRDB (TEXT)
      CALL GVSTTU (IUNIT,TEXT)
      GOTO 998



  999 CONTINUE
      CALL GVSTTE ('?TLSD47')
      CALL GVSTT6 (TEXT)



  998 CONTINUE


      RETURN
      END
